Subject: Re: bug#17349: 24.3.50; display-battery-mode stops updating after closing and reopening lid

From: Nicolas Richard <[email-masked]>
Date: Sat, 26 Apr 2014 22:35:23 +0200

Barry OReilly <[email-masked]> writes:

>> I use display-battery-mode to display remaining battery percentage
>> in the modeline. It sometimes happens that the percentage never
>> changes (I usually notice this when I re-open the lid).
>
> Sounds just like the problem Peter describes at
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15561#62

Very much, indeed (he doesn't mention a laptop, though).

(I'm now running a piece of advice to check whether timer-event-handler
is run when the problem appears, but I did not use my laptop a lot the
last few hours.)

-- 
Nico.